#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="v2.0.8-2"
SHA1SUM="6e985be0d2fed4537557d24c0dddbf510d4d3bd0"
#URL="http://dl.sourceforge.net/ebtables"
URL="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain linux"
##################################################

download_bz2 ebtables &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/ebtables-${VERSION}.tar.bz2 &&
cd ebtables-${VERSION} &&

patch_src ebtables &&

make BINPATH=/sbin/ MANDIR=/usr/share/man/ CC="${CC} -Os -fPIC" static &&

install -v -m755 static ${INSTALLDIR}/sbin/ebtables &&
install -v -m644 ebtables.8 ${INSTALLDIR}/usr/share/man/man8 &&

cd ${BUILDDIR} &&
rm -rf ebtables-${VERSION}

