#!/bin/bash

echo "Package once builded with the following instructions"
echo "Adjust instructions to new infrastucture, see skel.sh"
exit 1

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/ipsec-tools-0.7.tar.bz2 &&
cd ipsec-tools-0.7 &&

patch -Np1 -i ${SRCDIR}/ipsec-tools-0.7-inline-glob-1.patch &&
patch -Np1 -i ${SRCDIR}/ipsec-tools-0.7-replace-bsd-deprecated-1.patch &&
sed -e 's|-O2|-Os|g' -i configure &&
CC="${CC} ${BUILD} -Os" ./configure --host=mips-unknown-linux --prefix=/usr --bindir=/bin --sbindir=/sbin --sysconfdir=/etc --localstatedir=/var --libdir=/lib --with-kernel-headers=${BUILDDIR}/linux-2.6.21.5-atheros/include --disable-largefile --disable-nls --enable-security-context=no --with-pic --enable-natt --enable-ipv6 --enable-shared --disable-static &&
make &&
make DESTDIR=${INSTALLDIR} install &&
mv -v ${INSTALLDIR}/lib/lib{racoon,ipsec}.la ${INSTALLDIR}/usr/lib &&

cd ${BUILDDIR} &&
rm -rf ipsec-tools-0.7

