#!/bin/sh

logger "$0 $@"

exit 0

#TODO

# port to ash

current="/etc/conf.d/network.conf"
new="/etc/network.test/${HOSTNAME}.conf"
outfile="/etc/network.test/devstochange"

get_cabledevs()
{
    local cabledevs device
    cabledevs=( ${GLOBAL_DEVICES[@]} )
    for device in ${GLOBAL_WIFI_DEVICES[@]} ; do
        cabledevs=( ${cabledevs[@]/${device}/} )
    done
    return ${cabledevs[@]}
}

get_netvalues()
{
    unset ip mask brd netvalues
    ip=${device}_IP
    mask=${device}_MASK
    brd=${device}_BROADCAST
    netvalues=( ${!ip} ${!mask} ${!brd} )
}

get_wifivalues()
{
    unset standard mode key essid txpower wifivalues
    standard=${device}_WIFI_STANDARD
    mode=${device}_MODE
    key=${device}_ENCRYPT
    essid=${device}_ESSID
    txpower=${device}_TXPOWER
    wifivalues=( ${!standard} ${!mode} ${!mode} ${!essid} ${!txpower} )
}

. $current
cdevs=( ${GLOBAL_DEVICES[@]} )
cwifidevs=( ${GLOBAL_WIFI_DEVICES[@]} )
. $new
ndevs=( ${GLOBAL_DEVICES[@]} )
nwifidevs=( ${GLOBAL_WIFI_DEVICES[@]} )
unset devstochange

i="0"
for device in ${cdevs[@]} ; do
    let i++
    for ndevice in ${ndevs[@]} ; do
        let i++
        if [ "$device" == "$ndevice" ] ; then
            unset cvalues nvalues
            cdevs=( ${cdevs[@]/${device}/} )
            ndevs=( ${ndevs[@]/${device}/} )
            . $current
            get_netvalues
            cvalues=( ${netvalues[@]} )
            tempvalue="${cwifidevs[@]/$device/}"
            if [ "$cwifidevs" != "$tempvalue" ] ; then
                get_wifivalues
                cvalues="${cvalues[@]} ${wifivalues[@]}"
            fi
            . $new
            get_netvalues
            nvalues=( ${netvalues[@]} )
            tempvalue="${nwifidevs[@]/$device/}"
            if [ "$nwifidevs" != "$tempvalue" ] ; then
                get_wifivalues
                nvalues="${nvalues[@]} ${wifivalues[@]}"
            fi
            if [ "$cvalues" != "$nvalues" ] ; then
                devstochange=( $device ${devstochange[@]} )
            fi
            break
        fi
    done
done
devstochange=( ${cdevs[@]} ${ndevs[@]} ${devstochange[@]} )
echo -n > $outfile
for dev in ${devstochange[@]} ; do
    echo $dev >> $outfile 
done

