#!/bin/sh

logger "$0 $@"

exit 1

# this has to be checked in ash but should work

netconf="/etc/conf.d/network.conf"
tmpnetworkdir="/etc/network.test"
netscript="/etc/init.d/rc.network"
scycle="$tmpnetworkdir/sleepcycles"

test -f $netconf || exit 1
test -f $tmpnetworkdir/$HOSTNAME.conf || exit 1
test -x $netscript || exit 1

case $1 in
    retval)
        test ! $scycle -ot $netconf && exit 0
        exit 1
        ;;
    nodes)
        for file in ${tmpnetworkdir}/*.conf ; do
            unset node
            node=${file##*/} ; node=${node%.conf}
            test $file -nt $netconf && nodes=( ${nodes[@]} $node )
        done
        ;;
    *)
        exit 1
        ;;
esac

